Accepts the model terms for a customer
POST/v2/ customers/ {customerId}/ ai-hosting-models/ actions/ accept-terms/
v2
POST
ai-hosting-customer-accept-model-terms
Accept all model terms for a customer that are not already accepted. If there are no terms to accept, this endpoint will do nothing and return 204.
Request
Responses
Usage examples
- cURL
- JavaScript SDK
- PHP SDK
$ curl \
--fail \
--location \
-X POST \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/ai-hosting-models/actions/accept-terms
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.aiHosting.aiHostingCustomerAcceptModelTerms({
"customerId": "string"
});
assertStatus(response, 204);
use \Mittwald\ApiClient\Generated\V2\Clients\AIHosting\AiHostingCustomerAcceptModelTerms\AiHostingCustomerAcceptModelTermsRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new AiHostingCustomerAcceptModelTermsRequest(
customerId: "string"
));
$response = $client->aiHosting()->aiHostingCustomerAcceptModelTerms($request);
var_dump($response->getBody();